<EntityClassDefinition.Lootable_infinite_grenades_frag_small_sm __id="d5c824fd-0f01-4a72-94c6-adb6292fe7fd" __path="libs/foundry/records/entities/scitem/lootables/lootable_infinite_grenades_frag_small_sm.xml" __type="EntityClassDefinition" BBoxSelection="0" Category="Default" entityDensityClass="00000000-0000-0000-0000-000000000000" Icon="Default.bmp" Invisible="0">
  <Components>
    <SEntityPhysicsControllerParams __type="DataForgeComponentParams" __polymorphicType="SEntityPhysicsControllerParams">
      <PhysType __type="SEntityBasePhysicsControllerParams" __polymorphicType="SEntityRigidPhysicsControllerParams" BlocksNavigation="0" breakableParams="None" buoyancyParams="None" Damping="0.009999999776482582" DampingFreefall="0.05000000074505806" EnableCrossGridChecks="0" gameCollisionClass="None" grid="None" Kinematic="0" Mass="0.0" maxLoggedCollisions="1" NeverAffectTriggers="0" physicalizeAllSlots="1" PushableByPlayers="1" Resting="0" UseManualGridTransition="0">
        <temperature __type="EntityTemperature" enable="0" initialTemperature="-1.0" internalTemperatureGeneration="0.0" />
      </PhysType>
    </SEntityPhysicsControllerParams>
    <SAttachableComponentParams __type="DataForgeComponentParams" __polymorphicType="SAttachableComponentParams" attachToTileItemPort="NoConnection" entityAttachParams="None">
      <AttachDef __type="SItemDefinition" DisplayType="" Grade="1" inheritParentManufacturer="0" inventoryOccupancyDimensionsUIOverride="None" Manufacturer="00000000-0000-0000-0000-000000000000" RequiredTags="" Size="1" SubType="UNDEFINED" Tags="" Type="UNDEFINED">
        <inventoryOccupancyDimensions __type="Vec3" x="0.15000000596046448" y="0.15000000596046448" z="0.15000000596046448" />
        <inventoryOccupancyVolume __type="SBaseCargoUnit" __polymorphicType="SCentiCargoUnit" centiSCU="1" />
        <Localization __type="SCItemLocalization" Description="@LOC_EMPTY" Name="@LOC_PLACEHOLDER" ShortName="@LOC_EMPTY">
          <displayFeatures __type="SCExtendedLocalizationLevelParams" Callout1="@LOC_EMPTY" Callout2="@LOC_EMPTY" Callout3="@LOC_EMPTY" FrontendBackground="" History="@LOC_EMPTY" LogoSimplifiedWhite="" UIPriority="0">
            <locationAudioPlayTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
            <locationAudioStopTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
          </displayFeatures>
        </Localization>
        <mannequinTags __type="SCItemMannequinTags" mannequinBaseTag="" mannequinClassTag="" mannequinTypeTag="" />
      </AttachDef>
    </SAttachableComponentParams>
    <SEntityInteractableParams __type="DataForgeComponentParams" __polymorphicType="SEntityInteractableParams">
      <Interactable __type="SInteractableParams" menuTitle="None">
        <actionHandlerTasks />
        <InteractionPoints>
          <SInteractionPointParams __type="SInteractionPointParams" ApplyToEntireSkeleton="0" FirstInteractionPrimary="1" HelperName="$proxy01_mesh_ammo-box_1_grenade_open_005x0025x0025_a" longRangeIP="0" MaxCursorScreenDistance="2.0" OnlySelectableInLookDir="0" Radius="1.600000023841858" ShowHighlight="1" ShowInnerThoughtsOffScreen="0" ShowInteractionTextAtCursorPos="0" SpherePrimitive="None" TextJustification="Middle" TextOrientation="RotateToPlayer" TextScale="1.0" UseHelperLocation="0" UseHorizontalDistance="0">
            <AdditionalCollisionBones />
            <AngleConstraint __type="SAngleConstraint" angleRange="181.0">
              <forwardDirOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
            </AngleConstraint>
            <HighlightBehaviors />
            <Interactions />
            <Offset __type="QuatT">
              <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
              <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
            </Offset>
          </SInteractionPointParams>
        </InteractionPoints>
        <interactionTasks />
        <itemActionTasks />
        <SharedInteractions>
          <SSharedInteractionParams __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@ui_interactor_pickup_grenade" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Refill Grenades" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </SSharedInteractionParams>
        </SharedInteractions>
      </Interactable>
    </SEntityInteractableParams>
    <SGeometryResourceParams __type="DataForgeComponentParams" __polymorphicType="SGeometryResourceParams" cacheResources="0" inheritModelTagFromHost="1" ModelTag="None" rootOverridePaint="0">
      <Geometry __type="SGeometryNodeParams" ScaleMultiplier="1.0" Tags="">
        <Geometry __type="SGeometryDataParams" AttachFlags="0" BBoxJoint="" BBoxRadius="0.0" Damage="0.0" DeformerType="Standard" Dirt="0.0" EnableDecalProjection="0" Interference="0.0" MaterialAttachments="" ModifiersPath="" ProtosBShapeExclude="0" ProxyCDFPath="" SimulationGeometry="None" Slot="Main" SunShadowMode="Upto_400m" viewDistRatio="00000000-0000-0000-0000-000000000000" VisAreaMode="AABB_Center" VisFP="1" VisSecondaryViews="1" VisShadow="1" VisTP="1" Wear="0.0" WrinkleMap="0">
          <Geometry __type="GlobalResourceBase" __polymorphicType="GlobalResourceGeometry" path="objects/buildingsets/human/universal/prop/storage/ammo-box/ammo-box_1_grenade_open_05x025x025_a.cga" />
          <Material __type="GlobalResourceBase" __polymorphicType="GlobalResourceMaterial" path="" />
          <Palette __type="TintPaletteRef" ChildPath="" RootRecord="00000000-0000-0000-0000-000000000000" />
        </Geometry>
        <SubGeometry />
      </Geometry>
      <Material __type="SMaterialNodeParams" Tags="">
        <Material __type="GlobalResourceBase" __polymorphicType="GlobalResourceMaterial" path="" />
        <materialVariants />
        <Palette __type="TintPaletteRef" ChildPath="" RootRecord="00000000-0000-0000-0000-000000000000" />
      </Material>
    </SGeometryResourceParams>
    <SEntityLootableContainerParams __type="DataForgeComponentParams" __polymorphicType="SEntityLootableContainerParams" bespokePlace="0" blockingTagsOnSwapOutfit="" exactPlaceIntoPort="None" forceFirstSelect="0" fragmentTags="" infiniteLootable="1" initialLocalPlayerAccess="1" openInventoryInteraction="None" placeIntoPortInteraction="None" radius="1.600000023841858" smartRefillAmmo="0" smartRefillGrenadesAndAmmo="0" validTagsOnSwapOutfit="">
      <itemPortRules />
      <mainInteractionPoint __type="SInteractionPointParams" AngleConstraint="structInstance_SAngleConstraint_props:2" ApplyToEntireSkeleton="0" FirstInteractionPrimary="1" HelperName="$proxy01_mesh_ammo-box_1_grenade_open_005x0025x0025_a" longRangeIP="0" MaxCursorScreenDistance="2.0" Offset="structInstance_QuatT_props:2" OnlySelectableInLookDir="0" Radius="1.600000023841858" ShowHighlight="1" ShowInnerThoughtsOffScreen="0" ShowInteractionTextAtCursorPos="0" SpherePrimitive="None" TextJustification="Middle" TextOrientation="RotateToPlayer" TextScale="1.0" UseHelperLocation="0" UseHorizontalDistance="0">
        <AdditionalCollisionBones />
        <HighlightBehaviors />
        <Interactions />
      </mainInteractionPoint>
      <mainInteractions SSharedInteractionParams="weakPointer:SSharedInteractionParams" />
      <maxOffsetRotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
      <maxOffsetTranslation __type="Vec3" x="0.0" y="0.0" z="0.0" />
      <outfitHangerGroups />
      <placeOutfitRules />
      <takeExclussionRules />
    </SEntityLootableContainerParams>
    <SEntityComponentDefaultLoadoutParams __type="DataForgeComponentParams" __polymorphicType="SEntityComponentDefaultLoadoutParams">
      <loadout __type="SItemPortLoadoutBaseParams" __polymorphicType="SItemPortLoadoutManualParams">
        <entries>
          <SItemPortLoadoutEntryParams __type="SItemPortLoadoutEntryParams" entityClassName="behr_gren_frag_01" inventoryContainer="None" itemPortName="$slot_gren_01" loadout="None" />
          <SItemPortLoadoutEntryParams __type="SItemPortLoadoutEntryParams" entityClassName="behr_gren_frag_01" inventoryContainer="None" itemPortName="$slot_gren_02" loadout="None" />
          <SItemPortLoadoutEntryParams __type="SItemPortLoadoutEntryParams" entityClassName="behr_gren_frag_01" inventoryContainer="None" itemPortName="$slot_gren_03" loadout="None" />
          <SItemPortLoadoutEntryParams __type="SItemPortLoadoutEntryParams" entityClassName="behr_gren_frag_01" inventoryContainer="None" itemPortName="$slot_gren_04" loadout="None" />
          <SItemPortLoadoutEntryParams __type="SItemPortLoadoutEntryParams" entityClassName="behr_gren_frag_01" inventoryContainer="None" itemPortName="$slot_gren_05" loadout="None" />
          <SItemPortLoadoutEntryParams __type="SItemPortLoadoutEntryParams" entityClassName="behr_gren_frag_01" inventoryContainer="None" itemPortName="$slot_gren_06" loadout="None" />
        </entries>
        <InventoryItems />
      </loadout>
    </SEntityComponentDefaultLoadoutParams>
    <SEntityAudioControllerParams __type="DataForgeComponentParams" __polymorphicType="SEntityAudioControllerParams" audioControllerEntityType="None" fullLODDistance="9000.0" fullToLowLODDistance="9050.0" occlusionAttenuationScaler="0.5" offLODDistance="10050.0" offToLowLODDistance="10000.0" randomSeedCount="0">
      <tags __type="TagList">
        <tags />
      </tags>
    </SEntityAudioControllerParams>
    <SCItemInteractionEffectsMapParams __type="DataForgeComponentParams" __polymorphicType="SCItemInteractionEffectsMapParams">
      <Entries>
        <SCInteractionEffectsMapEntryParams __type="SCInteractionEffectsMapEntryParams" Interaction="None">
          <disableEffectTags />
          <enableEffectTags 1183705e-9525-4a7f-a1d5-ed0b0f31d096="1183705e-9525-4a7f-a1d5-ed0b0f31d096" />
        </SCInteractionEffectsMapEntryParams>
        <SCInteractionEffectsMapEntryParams __type="SCInteractionEffectsMapEntryParams">
          <disableEffectTags />
          <enableEffectTags 1183705e-9525-4a7f-a1d5-ed0b0f31d096="1183705e-9525-4a7f-a1d5-ed0b0f31d096" />
          <Interaction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@ui_interactor_pickup_grenade" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Refill Grenades" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </Interaction>
        </SCInteractionEffectsMapEntryParams>
        <SCInteractionEffectsMapEntryParams __type="SCInteractionEffectsMapEntryParams" Interaction="None">
          <disableEffectTags />
          <enableEffectTags />
        </SCInteractionEffectsMapEntryParams>
      </Entries>
    </SCItemInteractionEffectsMapParams>
    <SEntityComponentEffects __type="DataForgeComponentParams" __polymorphicType="SEntityComponentEffects">
      <entityEffects __type="SEntitityEffectSystem_SystemBase" __polymorphicType="SEntitityEffectSystem_System" audioEnvironmentEffects="None" materialEffects="None" particleEffects="None" uiOwnerEffects="None">
        <lightEffects __type="SEntityEffectSystem_Category" __polymorphicType="EntityEffectSystem_LightCategory" allowMultipleTags="1" enabled="1">
          <tagEffects>
            <EntityEffectSystem_LightTagEffect __type="EntityEffectSystem_LightEffect" __polymorphicType="EntityEffectSystem_LightTagEffect" affectsFog="1" affectThisAreaOnly="0" ambient="0" castShadow="0" colorTemperature="6500.0" diffuseMultiplier="0.0625" enabled="1" fakeLight="0" holographic="0" lightImportance="Standard" lightLink="None" maxShadowCastDistance="0.0" name="Left" shadowQualityCap="Full" softBulb="0" tag="00000000-0000-0000-0000-000000000000" useTemperature="0" viewDistanceRatio="100" visibleFirstPerson="1" visibleShadows="1" visibleThirdPerson="1">
              <attachmentSettings __type="SEntityEffectSystem_Attachment" __polymorphicType="SEntityEffectSystem_Attachment_EntitySlot" offsetParameter="00000000-0000-0000-0000-000000000000">
                <offset __type="QuatT">
                  <Position __type="Vec3" x="0.1850000023841858" y="0.0" z="0.23100000619888306" />
                  <Rotation __type="Ang3" x="0.0" y="170.0" z="0.0" />
                </offset>
              </attachmentSettings>
              <color __type="RGB" b="0.9473065137863159" g="0.7379103899002075" r="0.46207699179649353" />
              <flare __type="LightFlareParams" attachToSun="0" flare="" flareEnabled="0" flareFOV="360.0" flareScale="1.0" />
              <lightType __type="EntityEffectSystem_LightType" __polymorphicType="EntityEffectSystem_LightType_AreaLight" fovAngle="45.0" planeHeight="0.05000000074505806" planeWidth="0.10000000149011612" radius="0.20000000298023224" softness="1.0" />
              <propertyLinks />
            </EntityEffectSystem_LightTagEffect>
            <EntityEffectSystem_LightTagEffect __type="EntityEffectSystem_LightEffect" __polymorphicType="EntityEffectSystem_LightTagEffect" affectsFog="1" affectThisAreaOnly="0" ambient="0" castShadow="0" colorTemperature="6500.0" diffuseMultiplier="0.0625" enabled="1" fakeLight="0" holographic="0" lightImportance="Standard" lightLink="None" maxShadowCastDistance="0.0" name="Right" shadowQualityCap="Full" softBulb="0" tag="00000000-0000-0000-0000-000000000000" useTemperature="0" viewDistanceRatio="100" visibleFirstPerson="1" visibleShadows="1" visibleThirdPerson="1">
              <attachmentSettings __type="SEntityEffectSystem_Attachment" __polymorphicType="SEntityEffectSystem_Attachment_EntitySlot" offsetParameter="00000000-0000-0000-0000-000000000000">
                <offset __type="QuatT">
                  <Position __type="Vec3" x="-0.1850000023841858" y="0.0" z="0.23100000619888306" />
                  <Rotation __type="Ang3" x="0.0" y="10.0" z="0.0" />
                </offset>
              </attachmentSettings>
              <color __type="RGB" b="0.9473065137863159" g="0.7379103899002075" r="0.46207699179649353" />
              <flare __type="LightFlareParams" attachToSun="0" flare="" flareEnabled="0" flareFOV="360.0" flareScale="1.0" />
              <lightType __type="EntityEffectSystem_LightType" __polymorphicType="EntityEffectSystem_LightType_AreaLight" fovAngle="45.0" planeHeight="0.05000000074505806" planeWidth="0.10000000149011612" radius="0.20000000298023224" softness="1.0" />
              <propertyLinks />
            </EntityEffectSystem_LightTagEffect>
            <EntityEffectSystem_LightTagEffect __type="EntityEffectSystem_LightEffect" __polymorphicType="EntityEffectSystem_LightTagEffect" affectsFog="1" affectThisAreaOnly="0" ambient="0" castShadow="0" colorTemperature="6500.0" diffuseMultiplier="0.012500000186264515" enabled="0" fakeLight="0" holographic="0" lightImportance="Standard" lightLink="None" maxShadowCastDistance="0.0" name="Uplight" shadowQualityCap="Full" softBulb="0" tag="00000000-0000-0000-0000-000000000000" useTemperature="0" viewDistanceRatio="100" visibleFirstPerson="1" visibleShadows="1" visibleThirdPerson="1">
              <attachmentSettings __type="SEntityEffectSystem_Attachment" __polymorphicType="SEntityEffectSystem_Attachment_EntitySlot" offsetParameter="00000000-0000-0000-0000-000000000000">
                <offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.0" z="0.1770000010728836" />
                  <Rotation __type="Ang3" x="0.0" y="-90.0" z="0.0" />
                </offset>
              </attachmentSettings>
              <color __type="RGB" b="0.11697070300579071" g="0.38132598996162415" r="1.0" />
              <flare __type="LightFlareParams" attachToSun="0" flare="" flareEnabled="0" flareFOV="360.0" flareScale="1.0" />
              <lightType __type="EntityEffectSystem_LightType" __polymorphicType="EntityEffectSystem_LightType_ProjectorLight" attenuationBulbSize="0.0" focusedBeam="0" fovAngle="170.0" radius="2.0" texturePath="textures/lights/generic/spot_005.tif" />
              <propertyLinks />
            </EntityEffectSystem_LightTagEffect>
            <EntityEffectSystem_LightTagEffect __type="EntityEffectSystem_LightEffect" __polymorphicType="EntityEffectSystem_LightTagEffect" affectsFog="0" affectThisAreaOnly="0" ambient="0" castShadow="0" colorTemperature="6500.0" diffuseMultiplier="0.05000000074505806" enabled="1" fakeLight="0" holographic="0" lightImportance="Standard" maxShadowCastDistance="0.0" name="Lightlink" shadowQualityCap="Full" softBulb="0" tag="00000000-0000-0000-0000-000000000000" useTemperature="0" viewDistanceRatio="100" visibleFirstPerson="1" visibleShadows="1" visibleThirdPerson="1">
              <attachmentSettings __type="SEntityEffectSystem_Attachment" __polymorphicType="SEntityEffectSystem_Attachment_EntitySlot" offsetParameter="00000000-0000-0000-0000-000000000000">
                <offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.0" z="0.30000001192092896" />
                  <Rotation __type="Ang3" x="0.0" y="90.0" z="0.0" />
                </offset>
              </attachmentSettings>
              <color __type="RGB" b="0.9473065137863159" g="0.7379103899002075" r="0.46207699179649353" />
              <flare __type="LightFlareParams" attachToSun="0" flare="" flareEnabled="1" flareFOV="360.0" flareScale="1.0" />
              <lightLink __type="EntityEffectSystem_LightLink" linkIgnoresColor="0" subMeshName="" />
              <lightType __type="EntityEffectSystem_LightType" __polymorphicType="EntityEffectSystem_LightType_ProjectorLight" attenuationBulbSize="0.0" focusedBeam="0" fovAngle="170.0" radius="0.25" texturePath="textures/lights/generic/spot_005.tif" />
              <propertyLinks />
            </EntityEffectSystem_LightTagEffect>
          </tagEffects>
          <triggerEffects />
        </lightEffects>
        <sequencerTags />
        <soundEffects __type="SEntityEffectSystem_Category" __polymorphicType="SEntityEffectSystem_SoundCategory" allowMultipleTags="1" enabled="1">
          <tagEffects />
          <triggerEffects>
            <SEntityEffectSystem_SoundTriggerEffect __type="SEntityEffectSystem_SoundEffect" __polymorphicType="SEntityEffectSystem_SoundTriggerEffect" enabled="1" multiPosition="0" name="PickUp" trigger="1183705e-9525-4a7f-a1d5-ed0b0f31d096" useDefaultProxy="0">
              <attachmentSettings __type="SEntityEffectSystem_Attachment" __polymorphicType="SEntityEffectSystem_Attachment_EntitySlot" offsetParameter="00000000-0000-0000-0000-000000000000">
                <offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                  <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
                </offset>
              </attachmentSettings>
              <propertyLinks />
              <soundEffect __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="Play_WPFA_Shared_PickUp" />
            </SEntityEffectSystem_SoundTriggerEffect>
          </triggerEffects>
        </soundEffects>
      </entityEffects>
      <staticColors />
      <staticValues />
      <tagsToEnableOnLoad />
      <triggersToEnableOnLoad />
    </SEntityComponentEffects>
    <SItemPortContainerComponentParams __type="DataForgeComponentParams" __polymorphicType="SItemPortContainerComponentParams" masterController="None" PortFlags="" PortTags="" RequiredItemTags="">
      <InternalResourceLinks />
      <Ports>
        <SItemPortDef __type="SItemPortDef" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="$slot_gren_01" Extension="None" Flags="" InteractionPointSize="0.009999999776482582" MaxSize="5" MinSize="0" Name="$slot_gren_01" PortTags="" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
          <AttachmentImplementation __type="SItemPortDefAttachmentImplementationBase" __polymorphicType="SItemPortDefAttachmentImplementationBone">
            <Helper __type="SItemPortDefHelperNode" Tags="">
              <Helper __type="SItemPortDefHelper" ItemOffsetHelperName="" Name="$slot_gren_01" SimulationParams="None">
                <Offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                  <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
                </Offset>
              </Helper>
              <SubHelpers />
            </Helper>
          </AttachmentImplementation>
          <AttachmentPoints />
          <Connections />
          <DisabledPortLinks />
          <InteractionPointOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
          <linkedItemPorts />
          <Tags />
          <Types />
        </SItemPortDef>
        <SItemPortDef __type="SItemPortDef" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="$slot_gren_03" Extension="None" Flags="" InteractionPointSize="0.009999999776482582" MaxSize="5" MinSize="0" Name="$slot_gren_03" PortTags="" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
          <AttachmentImplementation __type="SItemPortDefAttachmentImplementationBase" __polymorphicType="SItemPortDefAttachmentImplementationBone">
            <Helper __type="SItemPortDefHelperNode" Tags="">
              <Helper __type="SItemPortDefHelper" ItemOffsetHelperName="" Name="$slot_gren_03" SimulationParams="None">
                <Offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                  <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
                </Offset>
              </Helper>
              <SubHelpers />
            </Helper>
          </AttachmentImplementation>
          <AttachmentPoints />
          <Connections />
          <DisabledPortLinks />
          <InteractionPointOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
          <linkedItemPorts />
          <Tags />
          <Types />
        </SItemPortDef>
        <SItemPortDef __type="SItemPortDef" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="$slot_gren_04" Extension="None" Flags="" InteractionPointSize="0.009999999776482582" MaxSize="5" MinSize="0" Name="$slot_gren_04" PortTags="" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
          <AttachmentImplementation __type="SItemPortDefAttachmentImplementationBase" __polymorphicType="SItemPortDefAttachmentImplementationBone">
            <Helper __type="SItemPortDefHelperNode" Tags="">
              <Helper __type="SItemPortDefHelper" ItemOffsetHelperName="" Name="$slot_gren_04" SimulationParams="None">
                <Offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                  <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
                </Offset>
              </Helper>
              <SubHelpers />
            </Helper>
          </AttachmentImplementation>
          <AttachmentPoints />
          <Connections />
          <DisabledPortLinks />
          <InteractionPointOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
          <linkedItemPorts />
          <Tags />
          <Types />
        </SItemPortDef>
        <SItemPortDef __type="SItemPortDef" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="$slot_gren_05" Extension="None" Flags="" InteractionPointSize="0.009999999776482582" MaxSize="5" MinSize="0" Name="$slot_gren_05" PortTags="" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
          <AttachmentImplementation __type="SItemPortDefAttachmentImplementationBase" __polymorphicType="SItemPortDefAttachmentImplementationBone">
            <Helper __type="SItemPortDefHelperNode" Tags="">
              <Helper __type="SItemPortDefHelper" ItemOffsetHelperName="" Name="$slot_gren_05" SimulationParams="None">
                <Offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                  <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
                </Offset>
              </Helper>
              <SubHelpers />
            </Helper>
          </AttachmentImplementation>
          <AttachmentPoints />
          <Connections />
          <DisabledPortLinks />
          <InteractionPointOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
          <linkedItemPorts />
          <Tags />
          <Types />
        </SItemPortDef>
        <SItemPortDef __type="SItemPortDef" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="$slot_gren_06" Extension="None" Flags="" InteractionPointSize="0.009999999776482582" MaxSize="5" MinSize="0" Name="$slot_gren_06" PortTags="" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
          <AttachmentImplementation __type="SItemPortDefAttachmentImplementationBase" __polymorphicType="SItemPortDefAttachmentImplementationBone">
            <Helper __type="SItemPortDefHelperNode" Tags="">
              <Helper __type="SItemPortDefHelper" ItemOffsetHelperName="" Name="$slot_gren_06" SimulationParams="None">
                <Offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                  <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
                </Offset>
              </Helper>
              <SubHelpers />
            </Helper>
          </AttachmentImplementation>
          <AttachmentPoints />
          <Connections />
          <DisabledPortLinks />
          <InteractionPointOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
          <linkedItemPorts />
          <Tags />
          <Types />
        </SItemPortDef>
        <SItemPortDef __type="SItemPortDef" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="$slot_gren_02" Extension="None" Flags="" InteractionPointSize="-1.0" MaxSize="0" MinSize="0" Name="$slot_gren_02" PortTags="" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
          <AttachmentImplementation __type="SItemPortDefAttachmentImplementationBase" __polymorphicType="SItemPortDefAttachmentImplementationBone">
            <Helper __type="SItemPortDefHelperNode" Tags="">
              <Helper __type="SItemPortDefHelper" ItemOffsetHelperName="" Name="$slot_gren_02" SimulationParams="None">
                <Offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                  <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
                </Offset>
              </Helper>
              <SubHelpers />
            </Helper>
          </AttachmentImplementation>
          <AttachmentPoints />
          <Connections />
          <DisabledPortLinks />
          <InteractionPointOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
          <linkedItemPorts />
          <Tags />
          <Types />
        </SItemPortDef>
      </Ports>
    </SItemPortContainerComponentParams>
    <SActorUsableParams __type="DataForgeComponentParams" __polymorphicType="SActorUsableParams" archetype="2bb0d878-18f5-4c71-b6cb-4490fea604e9" fragmentTag="resource_container" isExterior="0">
      <abilityLocks />
      <alignmentSlots>
        <PointAlignmentSlot __type="UsableAlignmentSlot" __polymorphicType="PointAlignmentSlot" available="1" canPlayerUse="0" fragmentTag="front" helperName="" linkMode="FeetLink" name="" slottedFragmentTag="" stance="Crouch" useADIK="0" useHandIK="0">
          <enterParams __type="SUsableTransitionParams" __polymorphicType="SUsableEnterTransitionParams" additionalTags="" aiSignal="UseStart" enterInteraction="None" eventTriggerMask="AIAndPlayer" holsterWeapon="1">
            <transitionAudioTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
          </enterParams>
          <exitParams __type="SUsableTransitionParams" __polymorphicType="SUsableExitTransitionParams" additionalTags="" aiSignal="UseEnd" eventTriggerMask="AIAndPlayer" exitInteraction="None" exitOnDamageTaken="0" exitOnJump="0" exitOnMovement="0" exitSequence="None" inputExit="1">
            <transitionAudioTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
          </exitParams>
          <interactionPoints />
          <optionalGameTags />
          <relativeTransform __type="QuatT">
            <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
            <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
          </relativeTransform>
          <usableIdleParams __type="SUsableIdleParams">
            <idlePoseOverrides />
          </usableIdleParams>
          <viewParams __type="SUsableViewParams" viewLimitPitchMax="45.0" viewLimitPitchMin="-45.0" viewLimitYawMax="45.0" viewLimitYawMin="-45.0" />
        </PointAlignmentSlot>
        <PointAlignmentSlot __type="UsableAlignmentSlot" __polymorphicType="PointAlignmentSlot" available="1" canPlayerUse="0" fragmentTag="back" helperName="" linkMode="FeetLink" name="" slottedFragmentTag="" stance="Crouch" useADIK="0" useHandIK="0">
          <enterParams __type="SUsableTransitionParams" __polymorphicType="SUsableEnterTransitionParams" additionalTags="" aiSignal="UseStart" enterInteraction="None" eventTriggerMask="AIAndPlayer" holsterWeapon="1">
            <transitionAudioTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
          </enterParams>
          <exitParams __type="SUsableTransitionParams" __polymorphicType="SUsableExitTransitionParams" additionalTags="" aiSignal="UseEnd" eventTriggerMask="AIAndPlayer" exitInteraction="None" exitOnDamageTaken="0" exitOnJump="0" exitOnMovement="0" exitSequence="None" inputExit="1">
            <transitionAudioTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
          </exitParams>
          <interactionPoints />
          <optionalGameTags />
          <relativeTransform __type="QuatT">
            <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
            <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
          </relativeTransform>
          <usableIdleParams __type="SUsableIdleParams">
            <idlePoseOverrides />
          </usableIdleParams>
          <viewParams __type="SUsableViewParams" viewLimitPitchMax="45.0" viewLimitPitchMin="-45.0" viewLimitYawMax="45.0" viewLimitYawMin="-45.0" />
        </PointAlignmentSlot>
        <PointAlignmentSlot __type="UsableAlignmentSlot" __polymorphicType="PointAlignmentSlot" available="1" canPlayerUse="0" fragmentTag="left" helperName="" linkMode="FeetLink" name="" slottedFragmentTag="" stance="Crouch" useADIK="0" useHandIK="0">
          <enterParams __type="SUsableTransitionParams" __polymorphicType="SUsableEnterTransitionParams" additionalTags="" aiSignal="UseStart" enterInteraction="None" eventTriggerMask="AIAndPlayer" holsterWeapon="1">
            <transitionAudioTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
          </enterParams>
          <exitParams __type="SUsableTransitionParams" __polymorphicType="SUsableExitTransitionParams" additionalTags="" aiSignal="UseEnd" eventTriggerMask="AIAndPlayer" exitInteraction="None" exitOnDamageTaken="0" exitOnJump="0" exitOnMovement="0" exitSequence="None" inputExit="1">
            <transitionAudioTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
          </exitParams>
          <interactionPoints />
          <optionalGameTags />
          <relativeTransform __type="QuatT">
            <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
            <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
          </relativeTransform>
          <usableIdleParams __type="SUsableIdleParams">
            <idlePoseOverrides />
          </usableIdleParams>
          <viewParams __type="SUsableViewParams" viewLimitPitchMax="45.0" viewLimitPitchMin="-45.0" viewLimitYawMax="45.0" viewLimitYawMin="-45.0" />
        </PointAlignmentSlot>
        <PointAlignmentSlot __type="UsableAlignmentSlot" __polymorphicType="PointAlignmentSlot" available="1" canPlayerUse="0" fragmentTag="right" helperName="" linkMode="FeetLink" name="" slottedFragmentTag="" stance="Crouch" useADIK="0" useHandIK="0">
          <enterParams __type="SUsableTransitionParams" __polymorphicType="SUsableEnterTransitionParams" additionalTags="" aiSignal="UseStart" enterInteraction="None" eventTriggerMask="AIAndPlayer" holsterWeapon="1">
            <transitionAudioTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
          </enterParams>
          <exitParams __type="SUsableTransitionParams" __polymorphicType="SUsableExitTransitionParams" additionalTags="" aiSignal="UseEnd" eventTriggerMask="AIAndPlayer" exitInteraction="None" exitOnDamageTaken="0" exitOnJump="0" exitOnMovement="0" exitSequence="None" inputExit="1">
            <transitionAudioTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
          </exitParams>
          <interactionPoints />
          <optionalGameTags />
          <relativeTransform __type="QuatT">
            <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
            <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
          </relativeTransform>
          <usableIdleParams __type="SUsableIdleParams">
            <idlePoseOverrides />
          </usableIdleParams>
          <viewParams __type="SUsableViewParams" viewLimitPitchMax="45.0" viewLimitPitchMin="-45.0" viewLimitYawMax="45.0" viewLimitYawMin="-45.0" />
        </PointAlignmentSlot>
      </alignmentSlots>
      <slottingSetups />
      <specializedData __type="SSpecializedData">
        <specializedDataEntry />
      </specializedData>
      <usableSequencerTasks />
      <useSlots>
        <UsableUseSlot __type="UsableUseSlot" additionalFragmentTags="" available="1" isScoochable="0" name="Loot" stance="Unset">
          <optionalGameTags />
          <relativeTransform __type="QuatT">
            <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
            <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
          </relativeTransform>
          <usableItemPorts />
          <useChannelInstances>
            <UsableUseChannelInstance __type="UsableUseChannelInstance" conditionList="None" fragmentTag="take" interaction="None" isEnabled="1" preparationSequence="None" stance="Unset" useChannelArchetype="7fa124fd-51bc-4d8a-93da-abe1600ca2e5">
              <alignmentSlots PointAlignmentSlot="weakPointer:PointAlignmentSlot" />
              <tagsToAddOnEnter />
              <tagsToAddOnExit />
              <tagsToRemoveOnEnter />
              <tagsToRemoveOnExit />
              <useChannelInstancesToDisable />
              <useChannelInstancesToEnable />
            </UsableUseChannelInstance>
          </useChannelInstances>
        </UsableUseSlot>
      </useSlots>
      <views />
    </SActorUsableParams>
  </Components>
  <StaticEntityClassData />
  <tags />
</EntityClassDefinition.Lootable_infinite_grenades_frag_small_sm>